namespace MyOffice.Web.Controllers;

using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using MyOffice.Services.Account;
using MyOffice.Services.Item;

[Authorize]
[ApiController]
[Route("api/[controller]")]
public class DashboardController : BaseApiController
{
	private readonly ILogger<DashboardController> _logger;

	public DashboardController(
		ILogger<DashboardController> logger
	)
	{
		_logger = logger;
	}


	[HttpGet("~/api/accounts")]
	public object Index()
	{
		return new
		{
			IncomeLastWeek = 100m,
			IncomePreviousWeek = 100m,
			OutcomeLastWeek = 100m,
			OutcomePreviousWeek = 100m,
		};
	}
}
